<template>
  <div class="line-chart-diagram" style="min-height:300px">
    <vue-apex-charts
      type="heatmap"
      height="100%"
      :series="series"
      :options="options"
    />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Watch, Prop } from "vue-property-decorator";
import VueApexCharts from "vue-apexcharts";
import _ from "lodash";

@Component({
  components: {
    VueApexCharts
  }
})
export default class HeatChart extends Vue {
  @Prop({ required: true }) readonly series: any;
  @Prop({ required: true }) readonly colors: any;
  @Prop({ required: true, default: () => {} })
  readonly mouseMoveEvent: any;

  get options() {
    return {
      plotOptions: {
        heatmap: {
          distributed: true
        }
      },
      width: 1000,
      theme: {},
      chart: {
        id: "chartTotalCards",
        events: {
          mouseMove: (event: any, chartContext: any, config: any) => {
            this.mouseMoveEvent(config);
          }
        }
      },
      stroke: {
        curve: "straight"
      },
      colors: this.colors,
      dataLabels: {
        enabled: false
      },
      tooltip: {
        followCursor: false,
        x: {
          show: false
        },
        marker: {
          show: false
        }
      },
      markers: {
        //size: 6,
        hover: {
          size: 8
        }
      },

      grid: {},
      xaxis: {
        categories: [
          "Янв",
          "Фев",
          "Мар",
          "Апр",
          "Май",
          "Июн",
          "Июл",
          "Авг",
          "Сен",
          "Окт",
          "Ноя",
          "Дек"
        ],

        tooltip: {
          //enabled: false
        },
        tickAmount: 1,
        tickPlacement: "on"
      },
      yaxis: {
        //min: 0,
        //tickAmount: 5,
        //forceNiceScale: true
      }
    };
  }
}
</script>
